BlitzReels
BlitzReelsDocumentation
API Reference
POST
/projects/{projectId}/timeline/batch-delete

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/timeline/batch-delete" \  -H "Content-Type: application/json" \  -d '{    "timeline_item_ids": [      "string"    ]  }'
{  "success": true,  "deleted_count": 0,  "failed_count": 0,  "deleted_items": [    {      "id": "string",      "name": "string",      "type": "string"    }  ],  "failed_items": [    {      "timeline_item_id": "string",      "error": "string",      "error_code": "validation_error",      "retryable": true,      "error_details": {        "property1": "string",        "property2": "string"      }    }  ],  "captions_removed": 0,  "packed": true,  "clips_shifted": 0,  "message": "string"}